Transactions

Add Tip to a Transaction

put

Add a tip amount to an existing captured transaction identified by the transaction ID.

Path parameters
idanyRequired

A unique identifier for the transaction returned by the Capture a Transaction endpoint.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
tip-amountstringRequired

The value of the tip to be added to the transaction (in decimal format). For example, "0.08" for 8 cents.

Example: 0.08
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
put
/rest/v2/transactions/{id}

Void Transaction

post

Void transactions that are authorized, approved, or pending. Voided transactions are removed from the open batch and sent to the payment issuer. Transactions in closed batches cannot be voided.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
secure3dstring · enumRequired

3‑D Secure cryptogram or CAVV (Cardholder Authentication Verification Value) provided by the 3DS provider.

Example: AAEBBBYSNAAAAA+gcCAjdAAAAAA=Possible values:
secure3d-ecistring · enumRequired

Electronic Commerce Indicator from the issuer.

Example: 05Possible values:
secure3d-platformstringRequired

Name of the platform or provider used to perform 3‑D Secure (3DS) authentication.

Example: EVERVAULT
secure3d-directory-server-transaction-idstringRequired

Directory Server Transaction ID that ties the authentication to the transaction authorization.

Example: ccb4016e-776c-56f1-8000-0000849d676e
secure3d-protocol-versionstringRequired

3‑D Secure protocol version used to ensure correct liability and routing.

Example: 2.2.0
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanRequired

Indicates whether to add tax to the transaction amount.

Example: false
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
post
/rest/v2/transactions/void

Start a Sale Transaction

post

Start sale transactions of $1 or more. Transactions below $1 are automatically declined during testing. Find the approved sale transactions in the Open batch to settle them.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
secure3dstring · enumRequired

3‑D Secure cryptogram or CAVV (Cardholder Authentication Verification Value) provided by the 3DS provider.

Example: AAEBBBYSNAAAAA+gcCAjdAAAAAA=Possible values:
secure3d-ecistring · enumRequired

Electronic Commerce Indicator from the issuer.

Example: 05Possible values:
secure3d-platformstringRequired

Name of the platform or provider used to perform 3‑D Secure (3DS) authentication.

Example: EVERVAULT
secure3d-directory-server-transaction-idstringRequired

Directory Server Transaction ID that ties the authentication to the transaction authorization.

Example: ccb4016e-776c-56f1-8000-0000849d676e
secure3d-protocol-versionstringRequired

3‑D Secure protocol version used to ensure correct liability and routing.

Example: 2.2.0
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanRequired

Indicates whether to add tax to the transaction amount.

Example: false
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
post
/rest/v2/transactions/sale

Refund Transaction

post

Refund an amount for a previously settled transaction. The refund process applies only to transactions that were settled using the sale and capture method. The following two options allow you to refund transactions: Matched refund: Use the ID and amount fields to process a matched refund for up to the total amount of the previous transaction. Unmatched refund: Use the card field to process an unmatched refund for an amount that is less than or greater than the total of the previous transaction.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
secure3dstring · enumRequired

3‑D Secure cryptogram or CAVV (Cardholder Authentication Verification Value) provided by the 3DS provider.

Example: AAEBBBYSNAAAAA+gcCAjdAAAAAA=Possible values:
secure3d-ecistring · enumRequired

Electronic Commerce Indicator from the issuer.

Example: 05Possible values:
secure3d-platformstringRequired

Name of the platform or provider used to perform 3‑D Secure (3DS) authentication.

Example: EVERVAULT
secure3d-directory-server-transaction-idstringRequired

Directory Server Transaction ID that ties the authentication to the transaction authorization.

Example: ccb4016e-776c-56f1-8000-0000849d676e
secure3d-protocol-versionstringRequired

3‑D Secure protocol version used to ensure correct liability and routing.

Example: 2.2.0
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanRequired

Indicates whether to add tax to the transaction amount.

Example: false
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
post
/rest/v2/transactions/refund

Process Forced Sale Transaction

post

Process forced sale transactions of $1 or more without prior authorization. Forced sale transactions under $1 are declined during testing.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
secure3dstring · enumRequired

3‑D Secure cryptogram or CAVV (Cardholder Authentication Verification Value) provided by the 3DS provider.

Example: AAEBBBYSNAAAAA+gcCAjdAAAAAA=Possible values:
secure3d-ecistring · enumRequired

Electronic Commerce Indicator from the issuer.

Example: 05Possible values:
secure3d-platformstringRequired

Name of the platform or provider used to perform 3‑D Secure (3DS) authentication.

Example: EVERVAULT
secure3d-directory-server-transaction-idstringRequired

Directory Server Transaction ID that ties the authentication to the transaction authorization.

Example: ccb4016e-776c-56f1-8000-0000849d676e
secure3d-protocol-versionstringRequired

3‑D Secure protocol version used to ensure correct liability and routing.

Example: 2.2.0
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanRequired

Indicates whether to add tax to the transaction amount.

Example: false
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
post
/rest/v2/transactions/forced-sale

Capture a Transaction

post

Process the previously authorized transactions.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
secure3dstring · enumRequired

3‑D Secure cryptogram or CAVV (Cardholder Authentication Verification Value) provided by the 3DS provider.

Example: AAEBBBYSNAAAAA+gcCAjdAAAAAA=Possible values:
secure3d-ecistring · enumRequired

Electronic Commerce Indicator from the issuer.

Example: 05Possible values:
secure3d-platformstringRequired

Name of the platform or provider used to perform 3‑D Secure (3DS) authentication.

Example: EVERVAULT
secure3d-directory-server-transaction-idstringRequired

Directory Server Transaction ID that ties the authentication to the transaction authorization.

Example: ccb4016e-776c-56f1-8000-0000849d676e
secure3d-protocol-versionstringRequired

3‑D Secure protocol version used to ensure correct liability and routing.

Example: 2.2.0
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanRequired

Indicates whether to add tax to the transaction amount.

Example: false
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
post
/rest/v2/transactions/capture

Authorize Transaction with 3-D Secure Authentication

post

Pre-authorize or authorize transactions by including 3-D Secure (3DS) authentication data of $1 or more. Note: You can't use 3‑D Secure (3DS) data fields in the request to authenticate re‑authorized transactions. You can capture a pre‑authorized transaction later without adding 3‑D Secure (3DS) data fields to the request.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
secure3dstring · enumRequired

3‑D Secure cryptogram or CAVV (Cardholder Authentication Verification Value) provided by the 3DS provider.

Example: AAEBBBYSNAAAAA+gcCAjdAAAAAA=Possible values:
secure3d-ecistring · enumRequired

Electronic Commerce Indicator from the issuer.

Example: 05Possible values:
secure3d-platformstringRequired

Name of the platform or provider used to perform 3‑D Secure (3DS) authentication.

Example: EVERVAULT
secure3d-directory-server-transaction-idstringRequired

Directory Server Transaction ID that ties the authentication to the transaction authorization.

Example: ccb4016e-776c-56f1-8000-0000849d676e
secure3d-protocol-versionstringRequired

3‑D Secure protocol version used to ensure correct liability and routing.

Example: 2.2.0
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanRequired

Indicates whether to add tax to the transaction amount.

Example: false
Responses
chevron-right
200

Successful Transaction

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
post
/rest/v2/transactions/auth

Search Transactions

get

Search transactions for up to 90 days.

Query parameters
levelstring · enumOptional

The scope of the transaction search. Use terminal (default) to search transactions at the terminal level, and merchant to search transactions at the merchant level. The results include transactions from all terminals associated to the merchant.

Default: terminalPossible values:
idstringOptional

A unique transaction identifier to search for a specific transaction, such as a void, capture, or refund.

amountstringOptional

The amount for which you want to search transactions.

min-amountstringOptional

Minimum transaction amount for which you want to search transactions.

max-amountstringOptional

Maximum transaction amount for which you want to search transactions.

typestringOptional

The type of transaction you want to search.

statusstring · enumOptional

The transaction status to search for a specific transaction. Possible values: APPROVED, DECLINED.

Possible values:
last-fourstringOptional

The last four digits of the card provided during the transaction.

authorization-codestringOptional

The authorization code issued by the payment provider.

invoicestringOptional

The invoice number, if it was included in the transaction request.

order-idstringOptional

A unique order identifier, if it was included in the transaction request.

purchase-orderstringOptional

Purchase order number associated with the transaction.

descriptionstringOptional

Description associated with the transaction.

customer-idstringOptional

Unique customer identifier associated with the transaction.

service-feestringOptional

Service fee amount for the transaction.

include-tip-adjboolean · enumOptional

Include tip-adjusted transactions. Default: false.

Default: falsePossible values:
ref-idstringOptional

A transaction reference identifier for which you want to search transactions.

batch-numberstringOptional

A batch number used to search for group transactions.

pendingstring · enumOptional

Include pending authorizations when you search transactions. Use "true" or "false".

Possible values:
settledboolean · enumOptional

Filter transactions by settlement status.

Possible values:
start-datestringOptional

The start date for the transaction search. Valid formats: MM-dd-yyyy hh:mm a, MM-dd-yy HH:mm, MM-dd-yy HH:mm z, yyyy-MM-dd HH:mm, yyyy-MM-dd HH:mm z.

end-datestringOptional

The end date for the transaction search. Valid formats match those accepted for the start-date field.

pageintegerOptional

The page number for which you want to search transactions.

page-sizeintegerOptional

The size of the page for which you want to search transactions.

descendingboolean · enumOptional

The sort order for the transaction search list. Use true to display transaction list in descending order and false for ascending order.

Possible values:
order-bystringOptional

Field by which you want to sort the transaction results.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

payload

payloadTypestringOptional

Type of payload returned in the response.

Example: transaction
get
/rest/v2/transactions

Last updated

Was this helpful?